List assignments
curl --request GET \
--url https://api.lumonol.co.uk/ankra/list-assignments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/list-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/list-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"due_date": "2023-12-25",
"period_start": "2023-11-07T05:31:56Z",
"status": "pending",
"priority": "normal",
"assignment_type": "checkbox",
"target": 123,
"progress": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Assignments
List assignments
Assignments (roblox_user_id=, status=).
GET
/
list-assignments
List assignments
curl --request GET \
--url https://api.lumonol.co.uk/ankra/list-assignments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/list-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/list-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"due_date": "2023-12-25",
"period_start": "2023-11-07T05:31:56Z",
"status": "pending",
"priority": "normal",
"assignment_type": "checkbox",
"target": 123,
"progress": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Only this person's.
Only this status.
Response
OK.
Example:
"pending"
Example:
"normal"
Example:
"checkbox"

